CQ.Ext.ns('SMARTLING.ui.submission');

SMARTLING.ui.submission.SubmissionFilterPanel = CQ.Ext.extend(CQ.Ext.form.FormPanel, {

    constructor: function (grid) {
        var searchTitle = new CQ.Ext.form.TextField({
            fieldLabel: 'Title'
        });

        var searchPath = new CQ.Ext.form.TextField({
            fieldLabel: 'Path'
        });

        var states = new CQ.form.Selection({
            fieldLabel: 'Status',
            type: 'checkbox',
            options: '/services/smartling/submissions/states.json',
            optionsRoot: '.',
            optionsTextField: 'description',
            optionsValueField: 'value'

        });
        var submit = new CQ.Ext.Button({
            text: 'Filter',
            icon: '/libs/cq/ui/widgets/themes/default/widgets/wcm/Sidekick/preview.png',
            listeners: {
                'click': function () {
                    grid.reload(searchTitle.getValue(), searchPath.getValue(), states.getValue());
                }
            }
        });

        SMARTLING.ui.submission.SubmissionAdmin.superclass.constructor.call(this, {
            padding: 15,
            border: false,
            items: [
                searchTitle,
                searchPath,
                states,
                submit
            ]
        });
    }
});

